/*
	Twilight Prophecy 3D/Multimedia SDK
	A multi-platform development system for virtual reality and multimedia.

	Copyright (C) 1997-2001 by Twilight 3D Finland Oy Ltd.
*/
#ifndef PRCORE_FILENAME_HPP
#define PRCORE_FILENAME_HPP



namespace prcore
{

const char*		GetFilenameEXT(const char* filename);		// get extension of given filename
const char*		GetFilenameNoEXT(const char* filename);		// get filename without extension
const char*		GetFilenamePath(const char* filename);		// get path of given filename
const char*		GetFilenameNoPath(const char* filename);	// get filename without path

} // namespace prcore



#endif